REST API - Misc
List LLM Models
Returns available models for a specific LLM provider
GET
List Llm Models
List available models for a specific LLM provider. Use the
model_id value as the agent’s model_name field when creating or updating an agent.
Path Parameters
The provider’s
internal_identifier from List LLM Providers (e.g., openai, anthropic)Response
Returns an array ofLLMModelItem objects.
1 for a provider’s current flagship models, 2 for previous or mid-range models, 3 for small, low-cost modelsList price in USD:
input_usd_per_1m, output_usd_per_1m, cache_read_usd_per_1m and cache_write_usd_per_1mExample Request
Notes
- Returns
404when the provider identifier is not found - Use the
model_idvalue as the agent’smodel_namefield - A lower
tiernumber means a more capable model. Comparepriceto see what each costs
Response
Successful Response

